# EXAMPLE/sfgmr.c File Reference

flexible GMRES from ITSOL developed by Yousef Saad. More...

`#include "slu_sdefs.h"`

## Defines
#define | epsmac 1.0e-16
## Functions
float | sdot_ (int *, float[], int *, float[], int *)
float | snrm2_ (int *, float[], int *)
int | sfgmr (int n, void(*smatvec)(float, float[], float, float[]), void(*spsolve)(int, float[], float[]), float *rhs, float *sol, double tol, int im, int *itmax, FILE *fits)

## Detailed Description

## Define Documentation

#define epsmac 1.0e-16

## Function Documentation

float sdot_ | ( | int * | ,
|  | float | [],
|  | int * | ,
|  | float | [],
|  | int * |  |
| ) |  |  |

int sfgmr | ( | int | n,
|  | void(*)(float, float[], float, float[]) | smatvec,
|  | void(*)(int, float[], float[]) | spsolve,
|  | float * | rhs,
|  | float * | sol,
|  | double | tol,
|  | int | im,
|  | int * | itmax,
|  | FILE * | fits |
| ) |  |  |

float snrm2_ | ( | int * | ,
|  | float | [],
|  | int * |  |
| ) |  |  |